Skip to content

Retrieve all standard and custom document fields and field properties.

GET/api/{version}/metadata/objects/documents/properties
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v24.1/metadata/objects/documents/properties
{ "responseStatus": "SUCCESS", "properties": [ { "name": "id", "type": "id", "required": true, "maxLength": 20, "minValue": 0, "maxValue": 9223372036854775807, "repeating": false, "systemAttribute": true, "editable": false, "setOnCreateOnly": true, "disabled": false, "hidden": true, "queryable": true, "facetable": false }, { "name": "name__v", "scope": "DocumentVersion", "type": "String", "required": true, "maxLength": 100, "repeating": false, "systemAttribute": true, "editable": true, "setOnCreateOnly": false, "disabled": false, "label": "Name", "section": "generalProperties", "sectionPosition": 0, "hidden": false, "queryable": true, "shared": false, "helpContent": "Displayed throughout application for the document, including in Library, Reporting, Notifications and Workflows.", "definedInType": "type", "definedIn": "base_document__v", "noCopy": false, "secureRelationship": false, "facetable": false }, { "name": "template_document__v", "scope": "DocumentVersion", "type": "Boolean", "required": false, "repeating": false, "systemAttribute": true, "editable": false, "setOnCreateOnly": false, "disabled": false, "defaultValue": "false", "label": "Template Document", "section": "generalProperties", "sectionPosition": 1001, "hidden": true, "queryable": true, "shared": false, "definedInType": "type", "definedIn": "base_document__v", "noCopy": false, "secureRelationship": false, "facetable": true } ] }

The response lists all standard and custom document fields and field metadata. Note the following field metadata: